<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/global.php                                     *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/


// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}



// Include needed files
require "../includes/config.php";
require "../includes/session.php";
require_once "functions.php";
require_once "../includes/template.php";
require_once "loader.php";



$Database = new Database;
$Functions = new Functions;
$Loader = new Loader;


// Get database information
$info = $Database->getInfo();



// Connect to db
$conn = @mysql_connect($info[0], $info[1], $info[2]);
$db = @mysql_select_db($info[3], $conn);


// Redirect to home if unable to connect to db
if($conn && $db)
{
	// get settings
	$result = @mysql_query("SELECT * FROM 11in1_settings WHERE id = '1'");	
	$dbRow = @mysql_fetch_row($result);
	$settings_11in1Name = $dbRow[1];
	$settings_admin_email = $dbRow[5];
	$settings_keyword = $dbRow[6];	
	$settings_Description = $dbRow[7];
	$settings_loginAttempts = $dbRow[11];
	$settings_lang = $dbRow[12];
	$settings_template = $dbRow[13];
	$settings_thumbWidth = $dbRow[20];
	$settings_mainWidth = $dbRow[21];	
	$settings_instalaltionFlag = $dbRow[34];
	
	
	
	//Number of results per load
	$settings_resultsPerLoad = 5; // change this if you want to have more results per loads
	
	
	
	// redirect to home if 11in1 is not installed	
	if(!$settings_instalaltionFlag)	
	header("Location: ../index.php");
		
	

	// redirect to home if language file does not exist
	$filepath = '../lang/' . $settings_lang . '.php';
	if(file_exists($filepath))
	{		
		require($filepath);
		
		// die if 11in1 is installed and the install script has not been removed yet
		if(file_exists("../install/index.php"))
		{
			die($lang_error_removeInstallFile);
		}		
	}
	else
	{	
		header("Location: ../index.php");
	}
	
	
	// is this user blaclisted?
	$myIP = $_SESSION['ip'];
	$query  = mysql_query("SELECT id FROM 11in1_blacklist WHERE ip = '$myIP'");
	$row = mysql_fetch_row($query);
	$blacklisted = $row[0];
	
	
	
	// how many time this user tried to log in?
	$query  = mysql_query("SELECT * FROM 11in1_attempts WHERE ip = '$myIP'");
	$row = mysql_fetch_row($query);
	$attemptsID = $row[0];
	$attemptsTotal = $row[2];
	$attemptsDate = $row[3]; 
		
	
	
	// lock the panel if user is blacklisted
	if($blacklisted)
	{
		// create an array to hold the elements of the message and save the array to the session
		$_SESSION['msg'] = array("title" => $lang_error_panelLocked, "msg" => $lang_error_blacklisted, "url" => "index.php", "button" => $lang_error_goHome);	
			
		// redirect to msg.php
		header("Location: ../msg.php"); // redirecting to self and causing infinate loops			
	}
	
	
	
	// lock the panel if user failed to login X number of times
	if($attemptsTotal >= $settings_loginAttempts)
	{
		// if more than 24 hours set counter to 1
		$timeNow = date("Y-m-d H:i:s");
		$timeDiff = $Functions->timeDiff($attemptsDate, $timeNow);
		
		if($timeDiff)
		{
			mysql_query("UPDATE 11in1_attempts SET date = '$timeNow' WHERE id = $attemptsID");
			mysql_query("UPDATE 11in1_attempts SET total = 0 WHERE id = $attemptsID");
		}
		else
		{
			// create an array to hold the elements of the message and save the array to the session
			$_SESSION['msg'] = array("title" => $lang_error_panelLocked, "msg" => $lang_error_loginAttemptsExceeded, "url" => "index.php", "button" => $lang_error_goHome);	
				
			// redirect to msg.php
			header("Location: ../msg.php"); // redirecting to self and causing infinate loops
		}				
	}
	
		$alertsHolder = $Functions->getAlerts($info);
		$found = 0;
		$i = 0;
		
		$listOfAlerts = $alertsHolder[0];
		$listOfTypes = $alertsHolder[1];
		
		if(count($listOfAlerts) > 1)
		{
			foreach($listOfAlerts as $element)
			{
				if($element == 1)
				{
					$found++;
					
					if($listOfTypes[$i] == 1)
					$thisClass = "alertsListNormal";
					else if($listOfTypes[$i] == 2)
					$thisClass = "alertsListHigh";
					else
					$thisClass = "alertsListCritical";
					
					
					if($i == 0)	$menu_2_elements .= "<ul class='$thisClass'><li>$lang_admin_alert_title_01</li></ul>";
					if($i == 1)	$menu_2_elements .= "<ul class='$thisClass'><li>$lang_admin_alert_title_02</li></ul>";
					if($i == 2)	$menu_2_elements .= "<ul class='$thisClass'><li>$lang_admin_alert_title_03</li></ul>";
					if($i == 3)	$menu_2_elements .= "<ul class='$thisClass'><li>$lang_admin_alert_title_04</li></ul>";
				}
				
				$i++;
			}
		}
		else
		{
			$menu_2_elements = $lang_admin_alert_title_00;
		}
		
		if(!$found)
		$menu_2_elements = $lang_admin_alert_title_00;
		
		$totalAlerts = $found;
		
		$settings_blogName = $lang_admin_11in1adminPanel;
		
		
		
	
	// Common Side Menus
		$menu_1_link = "info.php?show=docs";	
	
		$menu_2_link = "alerts.php?height=400;";		
		
		$menu_3_link = "info.php?show=license";		
		$menu_3_elements = "
		<li><a href='news.php?height=400' class='thickbox' title='$lang_admin_sidemenu_03_element_01'>$lang_admin_sidemenu_03_element_01</a></li>
		<li><a href='info.php?show=docs' class='thickbox' title='$lang_admin_sidemenu_03_element_02'>$lang_admin_sidemenu_03_element_02</a></li>
		<li><a href='info.php?show=install' class='thickbox' title='$lang_admin_sidemenu_03_element_03'>$lang_admin_sidemenu_03_element_03</a></li>
		";		
	
	
	// Links to all .css and .js files needed for popups (e.g. ThickBox and Highslide JS)
	$settings_JS = "
		<script type=\"text/javascript\" src=\"../js/jquery.js\"></script>
		<script type=\"text/javascript\" src=\"../js/thickbox/thickbox.js\"></script>	
		<link rel=\"stylesheet\" href=\"../js/thickbox/thickbox.css\" type=\"text/css\" media=\"screen\">
	  <link rel=\"stylesheet\" href=\"js/jwysiwyg/jquery.wysiwyg.css\" type=\"text/css\" />
	  <script type=\"text/javascript\" src=\"js/jwysiwyg/jquery.wysiwyg.js\"></script>
	  <script type=\"text/javascript\">
	  $(function()
	  {
	      $('#wysiwyg').wysiwyg();
	  });
	  </script>						
	";
	
	
	// create the alerts menu
	$static_value = array ($menu_2_elements, $lang_admin_sidemenu_02_title, $menu_2_link, $lang_admin_sidemenu_02_link);
	$static_name  = array ("{CONTENT}", "{TITLE}", "{URL}", "{EXTRA_LINK}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/alertsMenu.html");
	$menu_2 = $Engine->replaceStatic($static_name, $static_value, $template);
	
	
	
	// create the knowledge center menu
	$static_value = array ($menu_3_elements, $lang_admin_sidemenu_03_title, $menu_3_link, $lang_admin_sidemenu_03_link);
	$static_name  = array ("{CONTENT}", "{TITLE}", "{URL}", "{EXTRA_LINK}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/normalMenu.html");
	$menu_3 = $Engine->replaceStatic($static_name, $static_value, $template);	

	
	
	mysql_close($conn);
}
else
{
	header("Location: ../index.php");
}



?>