<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/loader.php                                     *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/ 



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);




class Loader
{
    
	/***************************************
	* 
	* Returns a list of who's online
	*
	***************************************/       
    function getUsersOnline($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_online LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisIP = $row['ip'];
			$thisPage = $row['page'];	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";		
			
			// load the element template
			$static_value = array ($thisCounter, $thisIP, $thisPage, $thisClass);
			$static_name  = array ("{ID}", "{IP}", "{PAGE}", "{CLASS}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementOnline.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='3'>$lang_admin_noResults</td></tr>";		
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_ip, $lang_admin_currentPage);
		$static_name  = array ("{LIST}", "{ID}", "{IP}", "{CURRENT_PAGE}",);
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableOnline.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;		
    }


	/***************************************
	* 
	* Returns a list of topics
	*
	***************************************/       
    function getTopics($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_topics LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisSectionID = $row['sec'];
			
			
			$result2 = mysql_query("SELECT title FROM 11in1_sections WHERE id = '$thisSectionID'");	
			$dbRow = mysql_fetch_row($result2);
			$thisSectionName = $dbRow[0];			

			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
							
			
			// load the element template
			$static_value = array ($thisSectionName, $thisTitle, $thisID, $thisClass, $lang_admin_edit, $lang_admin_comments, $lang_admin_delete, $lang_admin_confirm2);
			$static_name  = array ("{SEC}", "{NAME}", "{ID}", "{CLASS}", "{T1}", "{T2}","{T3}", "{CONFIRM}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementTopic.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_name, $lang_admin_section, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{SECTION}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableTopics.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }



	/***************************************
	* 
	* Returns a list of pages
	*
	***************************************/       
    function getPages($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_pages LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisType = $row['type'];
			$thisStatus = $row['status'];
			
			if($thisStatus == 1)
			{
				$thisStatus = "active";
				$t3 = $lang_admin_yes;
			}
			else
			{
				$thisStatus = "inactive";
				$t3 = $lang_admin_no;	
			}			
			
			if($thisType == 1)
			$thisType = $lang_admin_pageType1;
			else
			$thisType = $lang_admin_pageType2;	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
				
			
			// load the element template
			$static_value = array ($thisType, $thisTitle, $thisID, $thisClass, $lang_admin_edit, $lang_admin_delete, $lang_admin_confirm, $thisStatus, $t3);
			$static_name  = array ("{TYPE}", "{NAME}", "{ID}", "{CLASS}", "{T1}", "{T2}", "{CONFIRM}", "{STATUS}", "{T3}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementPage.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_name, $lang_admin_type, $lang_admin_actions, $lang_admin_visibleLegend);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{TYPE}", "{ACTIONS}", "{STATUS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tablePages.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }
    
    
    
    
    
	/***************************************
	* 
	* Returns a list of Guestbbok Entries
	*
	***************************************/       
    function getGuestbookEntries($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		$Functions = new Functions;
		
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = mysql_connect($info[0], $info[1], $info[2]);
		$db = mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_gb ORDER BY ID DESC LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisAuthor = $row['author'];
			$tempDate = $row['date'];
			$thisDate = $Functions->FormatDate($tempDate, $info);
			$thisStatus = $row['status'];
			
			if($thisStatus == 1)
			{
				$thisStatus = "active";
				$t3 = $lang_admin_yes;
			}
			else
			{
				$thisStatus = "inactive";
				$t3 = $lang_admin_no;	
			}
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
				
			
			// load the element template
			$static_value = array ($thisType, $thisTitle, $thisID, $thisClass, $lang_admin_edit, $lang_admin_delete, $lang_admin_confirm, $thisAuthor, $thisDate, $thisStatus, $t3);
			$static_name  = array ("{TYPE}", "{TITLE}", "{ID}", "{CLASS}", "{T1}", "{T2}", "{CONFIRM}", "{BY}", "{DATE}", "{STATUS}", "{T3}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementGB.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='5'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_title, $lang_admin_by, $lang_admin_date, $lang_admin_actions, $lang_admin_approved);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{BY}", "{DATE}", "{ACTIONS}", "{STATUS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableGB.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }  
    
    
    
      




	/***************************************
	* 
	* Returns a list of messages
	*
	***************************************/       
    function getMail($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		$Functions = new Functions;
		
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = mysql_connect($info[0], $info[1], $info[2]);
		$db = mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_messages ORDER BY ID DESC LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisAuthor = $row['sender'];
			$tempDate = $row['date'];
			$thisDate = $Functions->FormatDate($tempDate, $info);
			$thisStatus = $row['status'];

			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
				
			
			// load the element template
			$static_value = array ($thisType, $thisTitle, $thisID, $thisClass, $lang_admin_view, $lang_admin_delete, $lang_admin_confirm, $thisAuthor, $thisDate, $thisStatus, $t3);
			$static_name  = array ("{TYPE}", "{TITLE}", "{ID}", "{CLASS}", "{T1}", "{T2}", "{CONFIRM}", "{FROM}", "{DATE}", "{STATUS}", "{T3}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementMail.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='5'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_title, $lang_admin_from, $lang_admin_date, $lang_admin_actions, $lang_admin_approved);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{FROM}", "{DATE}", "{ACTIONS}", "{STATUS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableMail.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    } 
    
    
    
    
    
    
    
    
    

	/***************************************
	* 
	* Returns a list of pending comments
	*
	***************************************/       
    function getPendingCommnets($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_comments LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTopicID = $row['topicID'];
			$thisAuthor = $row['author'];
			$thisID = $row['id'];	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
			
			$result2 = mysql_query("SELECT title FROM 11in1_topics WHERE id = '$thisTopicID'");	
			$dbRow = mysql_fetch_row($result2);
			$thisTopicsName = $dbRow[0];				
			
			// load the element template
			$static_value = array ($thisCounter, $thisTopicsName, $thisAuthor, $thisID, $thisClass, $lang_admin_confirm, $lang_admin_view, $lang_admin_delete);
			$static_name  = array ("{I}", "{TOPIC_NAME}", "{AUTHOR}", "{ID}", "{CLASS}", "{CONFIRM}", "{T1}", "{T2}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementComment.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_topic, $lang_admin_by, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TOPIC}", "{BY}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableComments.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }
    
    
    
    
	/***************************************
	* 
	* Returns a list of sections
	*
	***************************************/       
    function getSections() 
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_sections ORDER BY id ASC";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisParentID = $row['parent'];
			$thisID = $row['id'];
			
			if($thisParentID)			
			{
				$result2 = mysql_query("SELECT title FROM 11in1_sections WHERE id = '$thisParentID'");	
				$dbRow = mysql_fetch_row($result2);
				$thisParentName = $dbRow[0];
			}
			else
			{
				$thisParentName = $lang_admin_none;
			}					
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
			
							
			
			// load the element template
			$static_value = array ($thisID, $thisTitle, $thisClass, $lang_admin_edit, $thisParentName, $lang_admin_delete, $lang_admin_confirm3);
			$static_name  = array ("{ID}", "{TITLE}", "{CLASS}", "{T1}", "{PARENT}", "{T2}", "{CONFIRM}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementSection.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_name, $lang_admin_parent, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{PARENT}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableSections.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;
    }
    
    
    
	/***************************************
	* 
	* Returns a list of search results
	*
	***************************************/       
    function getSearchResults($start, $factor, $keyword) 
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = '../lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_topics WHERE content LIKE '%" . $keyword . "%' OR title LIKE '%" . $keyword ."%' LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
							
			
			// load the element template
			$static_value = array ($thisID, $thisTitle, $thisClass, $lang_admin_view);
			$static_name  = array ("{ID}", "{TITLE}", "{CLASS}", "{T1}");
			$template = $Engine->loadTemplate ("../templates/$temp_template/admin/elementSearch.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='3'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_topic, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("../templates/$temp_template/admin/tableSearch.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;
    }
    
}
$Loader = new Loader;
?>