<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/news.php                                       *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/global.php");


// only if the request is made by AJAX
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest')
{
	// read news from 11in1.org
	$xml = @simplexml_load_file('http://www.11in1.org/news.xml');
	
	// counter to keep track of all news
	$counter = 0;	
	
	
	// read the xml file
	if($xml)
	{
		foreach ($xml->news as $news)
		{
			$title   = $news->title;
			$date    = $news->timestamp;
			$content = $news->content;
			$link    = $news->url;
			
			$counter++;
			
			$static_value = array ($title, $date, $content, $link);
			$static_name  = array ("{TITLE}", "{DATE}", "{CONTENT}", "{LINK}");
			$template = $Engine->loadTemplate("../templates/$settings_template/admin/elementNews.html");
			echo $Engine->replaceStatic($static_name, $static_value, $template);				
		}
	}
	
	// no news found
	if($counter < 1)
	{
		echo "<h3>$lang_admin_noNews</h3>";
	}
}
else
{
	header("Location: index.php");
}
?>