<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: loader.php                                           *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/ 



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);




class Loader
{

	/***************************************
	* 
	* Returns a list of snapshots
	*
	***************************************/       
    function getSnapshots($start)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = 'lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			

		// fetch data from db
		$thisCounter = 0;
		$sql ="SELECT * FROM 11in1_topics ORDER BY id DESC LIMIT $start, 1";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
							
			$thisTitle = $row['title'];
			$thisContent = $row['content'];
							
			
			// load the element template
			$static_value = array ($thisContent, $thisTitle);
			$static_name  = array ("{CONTENT}", "{TITLE}");
			$template = $Engine->loadTemplate ("templates/$temp_template/snapshot.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = $lang_admin_noResults;		
		
		
		// return results
		return $list;	
    }



    
	/***************************************
	* 
	* Returns a list of topics
	*
	***************************************/       
    function getTopics($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = 'lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_topics LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisSectionID = $row['sec'];

			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
							
			
			// load the element template
			$static_value = array ($thisSectionName, $thisTitle);
			$static_name  = array ("{CONTENT}", "{NAME}");
			$template = $Engine->loadTemplate ("templates/$temp_template/admin/elementTopic.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_name, $lang_admin_section, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{SECTION}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("templates/$temp_template/snapshot.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }


    
    
	/***************************************
	* 
	* Returns a list of Guestbbok Entries
	*
	***************************************/       
    function getGuestbookEntries($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		$Functions = new Functions;
		
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = mysql_connect($info[0], $info[1], $info[2]);
		$db = mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = 'lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_gb ORDER BY ID DESC LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];
			$thisAuthor = $row['author'];
			$tempDate = $row['date'];
			$thisDate = $Functions->FormatDate($tempDate, $info);
			$thisStatus = $row['status'];
			
			if($thisStatus == 1)
			{
				$thisStatus = "active";
				$t3 = $lang_admin_yes;
			}
			else
			{
				$thisStatus = "inactive";
				$t3 = $lang_admin_no;	
			}
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
				
			
			// load the element template
			$static_value = array ($thisType, $thisTitle, $thisID, $thisClass, $lang_admin_edit, $lang_admin_delete, $lang_admin_confirm, $thisAuthor, $thisDate, $thisStatus, $t3);
			$static_name  = array ("{TYPE}", "{TITLE}", "{ID}", "{CLASS}", "{T1}", "{T2}", "{CONFIRM}", "{BY}", "{DATE}", "{STATUS}", "{T3}");
			$template = $Engine->loadTemplate ("templates/$temp_template/admin/elementGB.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='5'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_title, $lang_admin_by, $lang_admin_date, $lang_admin_actions, $lang_admin_approved);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{BY}", "{DATE}", "{ACTIONS}", "{STATUS}");
		$template = $Engine->loadTemplate ("templates/$temp_template/admin/tableGB.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }  
    
    
    
      
	/***************************************
	* 
	* Returns a list of comments
	*
	***************************************/       
    function getCommnets($start, $factor)
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = 'lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_comments LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTopicID = $row['topicID'];
			$thisAuthor = $row['author'];
			$thisID = $row['id'];	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
			
			$result2 = mysql_query("SELECT title FROM 11in1_topics WHERE id = '$thisTopicID'");	
			$dbRow = mysql_fetch_row($result2);
			$thisTopicsName = $dbRow[0];				
			
			// load the element template
			$static_value = array ($thisCounter, $thisTopicsName, $thisAuthor, $thisID, $thisClass, $lang_admin_confirm, $lang_admin_view, $lang_admin_delete);
			$static_name  = array ("{I}", "{TOPIC_NAME}", "{AUTHOR}", "{ID}", "{CLASS}", "{CONFIRM}", "{T1}", "{T2}");
			$template = $Engine->loadTemplate ("templates/$temp_template/admin/elementComment.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='4'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_topic, $lang_admin_by, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TOPIC}", "{BY}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("templates/$temp_template/admin/tableComments.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;	
    }
    
    
    
	/***************************************
	* 
	* Returns a list of search results
	*
	***************************************/       
    function getSearchResults($start, $factor, $keyword) 
    {
		// determin how many results to show per load
		if((!is_numeric($start))||($start < 0))
		$start = 0;		
		$limit = $start + $factor;
		
		$Database = new Database;
		$Engine = new Engine;
		
		// Get database information
		$info = $Database->getInfo();		
		
		// connect to db
		$conn = @mysql_connect($info[0], $info[1], $info[2]);
		$db = @mysql_select_db($info[3], $conn);
		
		
		// get curent template
		$result = mysql_query("SELECT template, lang FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$temp_template = $dbRow[0];	
		$temp_lang = 'lang/' . $dbRow[1] . '.php';
				
		// require the language file
		require($temp_lang);			
		
		// a counter to keep track of results
		$thisCounter = 0;
		
		// fetch data from db
		$sql ="SELECT * FROM 11in1_topics WHERE content LIKE '%" . $keyword . "%' OR title LIKE '%" . $keyword ."%' LIMIT $limit";
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisCounter++;
						
			$thisTitle = $row['title'];
			$thisID = $row['id'];	
			
			// this is how you switch between styles and get two different shades of gray
			$reminder = $thisCounter%2;
			if($reminder == 0)
			$thisClass = "listRow_A";
			else
			$thisClass = "listRow_B";	
							
			
			// load the element template
			$static_value = array ($thisID, $thisTitle, $thisClass, $lang_admin_view);
			$static_name  = array ("{ID}", "{TITLE}", "{CLASS}", "{T1}");
			$template = $Engine->loadTemplate ("templates/$temp_template/admin/elementSearch.html");
			$list = $list . $Engine->replaceStatic($static_name, $static_value, $template);		
		}		
		
		// close connection to db
		mysql_close($conn);
		
		
		// if no reesults were found, show message
		if($thisCounter < 1)
		$list = "<tr><td class='listRow_B' colspan='3'>$lang_admin_noResults</td></tr>";
		
		$static_value = array ($list, $lang_admin_id, $lang_admin_topic, $lang_admin_actions);
		$static_name  = array ("{LIST}", "{ID}", "{TITLE}", "{ACTIONS}");
		$template = $Engine->loadTemplate ("templates/$temp_template/admin/tableSearch.html");
		$toReturn = $Engine->replaceStatic($static_name, $static_value, $template);			
		
		
		// return results
		return $toReturn;
    }
    
}
$Loader = new Loader;
?>