<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: install/index.php                                    *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


//include needed files 
require "../lang/English.php";
require "../includes/session.php";
require_once "../includes/config.php";
require_once "../includes/template.php";


$Engine = new Engine;
$Database = new Database;



// Never allow installation if this file path has changed. File path HAVE to be "install/index.php"
// get the path of this file
$currentFile = $_SERVER["PHP_SELF"];
$parts = Explode('/', $currentFile);
$thisFileName = $parts[count($parts) - 1];
$thisParentName = $parts[count($parts) - 2];

// if this file is not called index.php, kill the installation process
if(($thisFileName != "index.php")||($thisParentName != "install"))
die("<h1>Installation Failed</h1>You may not rename the installation folder and/or the installation file. The path to the installation script has to be install/index.php in order to run");


// getting current step 
$step   = $_GET['step'];
$previousStep = $_SESSION['temp'];
$totalSteps = 7;



// if no step was defined, set step = 1
if((empty($step))||(!is_numeric($step)))
$step = 1;


// if the previous step is not defined, set it to 1
if((empty($previousStep))||(!is_numeric($previousStep)))
{
	$previousStep = 1;
	$_SESSION['temp'] = 1;
}



// only load current and preivious steps
$limit = $previousStep + 1;
if($step > $limit)
$step = 1;



// By default, step is valid
$valid = true;



// STEP 1: 
if($step == 1)
{	
	$_SESSION['temp'] = 1;
	$nextStep = 2;
	
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step1_title, $lang_install_step1_content_1, $lang_install_step1_content_2);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{STEP_1}", "{STEP_2}");
	$template = $Engine->loadTemplate ("template/step1.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}



// STEP 2: 
else if(($step == 2)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	$_SESSION['temp'] = 2;
	$nextStep = 3;
	
	$dbInfo = $Database->getInfo();
	$d1 = $dbInfo[0];
	$d3 = $dbInfo[1];
	$d4 = $dbInfo[2];
	$d2 = $dbInfo[3];
		
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step2_title, $lang_install_step2_content_1, $lang_install_step2_content_2, $lang_install_step2_content_3, $lang_install_step2_content_4, $d1, $d2, $d3, $d4);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{e_1}", "{e_2}", "{e_3}", "{e_4}", "{d_1}", "{d_2}", "{d_3}", "{d_4}");
	$template = $Engine->loadTemplate ("template/step2.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}


// STEP 3: 
else if(($step == 3)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	
	$dbInfo = $Database->getInfo();
	$d1 = $dbInfo[0];
	$d3 = $dbInfo[1];
	$d4 = $dbInfo[2];
	$d2 = $dbInfo[3];
	
	$errors = 0;
	
	// Check 1: connect to host
	$conn = @mysql_connect($d1, $d3, $d4);
	if (!$conn) 
	{
	    $i1 = "errorList";
	    $errors++;
	}
	else
	{
		$i1 = "yesList";
	}
	
	// Check 2: find database
	$db = @mysql_select_db($d2, $conn);
	if (!$db) 
	{
	    $i2 = "errorList";
	    $errors++;
	}
	else
	{
		$i2 = "yesList";
	}	
	
	
	// do not skip this step if there is an error found
	if($errors > 0)
	{
		$i3 = "errorList";
		$_SESSION['temp'] = 3;
		$nextStep = 3;			
	}
	
	// go to the next step if no errors were found
	else
	{
		$i3 = "yesList";
		$_SESSION['temp'] = 4;
		$nextStep = 4;			
	}	
	
	
	@mysql_close($conn);		
		
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step3_title, $lang_install_step3_content_1, $lang_install_step3_content_2, $lang_install_step3_content_3, $i1, $i2, $i3);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{STEP_1}", "{STEP_2}", "{STEP_3}", "{i_1}", "{i_2}", "{i_3}");
	$template = $Engine->loadTemplate ("template/step3.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}



// STEP 4: 
else if(($step == 4)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	
	$dbInfo = $Database->getInfo();
	$d1 = $dbInfo[0];
	$d3 = $dbInfo[1];
	$d4 = $dbInfo[2];
	$d2 = $dbInfo[3];
		
	// connect to database
	$conn = @mysql_connect($d1, $d3, $d4);	
	$db = @mysql_select_db($d2, $conn);
	if(($conn)&&($db))
	{
		$_SESSION['temp'] = 5;
		$nextStep = 5;	
		$i = "yesList";
		
		
		
		
		// Create settings table
		$sql = 'DROP TABLE IF EXISTS `11in1_settings`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_settings` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`site_name` TEXT NOT NULL,
		`site_url` TEXT NOT NULL,
		`admin_username` VARCHAR( 100 ) NOT NULL,
		`admin_password` VARCHAR( 100 ) NOT NULL,
		`admin_email` VARCHAR( 100 ) NOT NULL,
		`meta_tag` TEXT NOT NULL,
		`description` TEXT NOT NULL,
		`replacement_word` VARCHAR( 100 ) NOT NULL,
		`allow_comments` INT( 1 ) DEFAULT 1 NOT NULL,
		`visitors` INT( 255 ) DEFAULT 1 NOT NULL,
		`login_attempts` INT( 11 ) DEFAULT 5 NOT NULL,
		`lang` TEXT NOT NULL,
		`template` TEXT NOT NULL,
		`popup` INT( 1 ) DEFAULT 1 NOT NULL,
		`enable_comments` INT( 1 ) DEFAULT 1 NOT NULL,
		`enable_guestbook` INT( 1 ) DEFAULT 1 NOT NULL,
		`enable_mailing` INT( 1 ) DEFAULT 1 NOT NULL,
		`enable_forwarding` INT( 1 ) DEFAULT 1 NOT NULL,
		`enable_thumbnails` INT( 1 ) DEFAULT 1 NOT NULL,
		`thumb_width` INT( 3 ) DEFAULT 60 NOT NULL,
		`main_width` INT( 3 ) DEFAULT 400 NOT NULL,
		`sort_by` INT( 1 ) DEFAULT 2 NOT NULL,
		`sort_order` INT( 1 ) DEFAULT 1 NOT NULL,
		`auto_validate` INT( 1 ) DEFAULT 1 NOT NULL,
		`location` INT( 255 ) DEFAULT 1 NOT NULL,
		`topics_per_page` INT( 5 ) DEFAULT 10 NOT NULL,
		`months_per_list` INT( 5 )  DEFAULT 5 NOT NULL,
		`cell_per_row` INT( 5 )  DEFAULT 3 NOT NULL,
		`topic_per_row` INT( 5 )  DEFAULT 3 NOT NULL,
		`window_width` INT( 5 )  DEFAULT 700 NOT NULL,
		`window_height` INT( 5 )  DEFAULT 350 NOT NULL,
		`guestbook_entry_per_page` INT( 5 ) DEFAULT 10 NOT NULL,
		`images_border` INT( 5 ) DEFAULT 1 NOT NULL,
		`setup_complete` INT( 1 ) NOT NULL,	
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
		
		
		// Create contacts table
		$sql = 'DROP TABLE IF EXISTS `11in1_contacts`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_contacts` (
		`id` INT( 30 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` TEXT NOT NULL,
		`email`  VARCHAR( 100 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
		
		
		
		// Create friends table
		$sql = 'DROP TABLE IF EXISTS `11in1_friends`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_friends` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` TEXT NOT NULL,
		`url` TEXT NOT NULL,
		`icon`  TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
					
		
				
		// Create what todo table
		$sql = 'DROP TABLE IF EXISTS `11in1_todo`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_todo` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`type` TEXT NOT NULL,
		`content` TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
			
				
		
		// Create sections table
		$sql = 'DROP TABLE IF EXISTS `11in1_sections`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_sections` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`title`TEXT NOT NULL,
		`description` TEXT NOT NULL,
		`allow_comments` INT( 1 ) DEFAULT 1 NOT NULL,
		`parent` INT( 255 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );
		
		
		
		
		
		
		// Create pages table
		$sql = 'DROP TABLE IF EXISTS `11in1_pages`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_pages` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`title` TEXT NOT NULL,
		`content` TEXT NOT NULL,
		`url` TEXT NOT NULL,
		`status` INT( 1 ) DEFAULT 1 NOT NULL,
		`type` INT( 5 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
			
		
		
		
		// Create topics table
		$sql = 'DROP TABLE IF EXISTS `11in1_topics`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_topics` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`sec` INT( 255 ) NOT NULL,
		`title` TEXT NOT NULL,
		`date` DATETIME NOT NULL,
		`content` TEXT NOT NULL,
		`thumb` TEXT NOT NULL,
		`main` TEXT NOT NULL,
		`allviewers` INT( 255 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );
		
		
		
		
		
		
		
		// Create comments table
		$sql = 'DROP TABLE IF EXISTS `11in1_comments`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_comments` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`author` TEXT NOT NULL,
		`date` DATETIME NOT NULL,
		`content` TEXT NOT NULL,
		`topicID` INT( 255 ) NOT NULL,
		`status` INT( 1 ) NOT NULL,
		`location` INT( 255 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );
		
		
		
		
		
		
		
		// Create guestbook table
		$sql = 'DROP TABLE IF EXISTS `11in1_gb`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_gb` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`title` TEXT NOT NULL,
		`author` TEXT NOT NULL,
		`date` DATETIME NOT NULL,
		`location` INT( 255 ) NOT NULL,
		`comment` TEXT NOT NULL,
		`status` INT( 1 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );
		
		
		
		
		
		
		
		// Create online users table
		$sql = 'DROP TABLE IF EXISTS `11in1_online`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_online` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`ip` VARCHAR( 20 ) NOT NULL,
		`name` TEXT NOT NULL,
		`page`TEXT NOT NULL,
		`timeout` TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';		
		mysql_query( $sql, $conn );		
		
		
		
		
		
		
		
		// Create blacklist table
		$sql = 'DROP TABLE IF EXISTS `11in1_blacklist`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_blacklist` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`ip` VARCHAR( 20 ) NOT NULL,
		`date` DATETIME NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );
		
		
		
		
		
		
		// Create attempts table
		$sql = 'DROP TABLE IF EXISTS `11in1_attempts`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_attempts` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`ip` VARCHAR( 20 ) NOT NULL,
		`total` INT( 1 ) NOT NULL,
		`date` DATETIME NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );		
		
		
		
		
		
		
		// Create messages table
		$sql = 'DROP TABLE IF EXISTS `11in1_messages`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_messages` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`sender` TEXT NOT NULL,
		`title` TEXT NOT NULL,
		`date` DATETIME NOT NULL,
		`content` TEXT NOT NULL,
		`email` TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
				
		// Create countries table
		$sql = 'DROP TABLE IF EXISTS `11in1_countries`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_countries` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
		
		// Create alerts table
		$sql = 'DROP TABLE IF EXISTS `11in1_alerts`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_alerts` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`comments` INT( 11 ) NOT NULL,
		`gb` INT( 11 ) NOT NULL,
		`sub` INT( 11 ) NOT NULL,
		`mails` INT( 11 ) NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );	
		
		
		
		
		// Create sync table
		$sql = 'DROP TABLE IF EXISTS `11in1_sync`';
		mysql_query( $sql, $conn );		
		$sql = 'CREATE TABLE `11in1_sync` (
		`id` INT( 255 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`secID` INT( 255 ) UNSIGNED NOT NULL,
		`status` INT( 1 ) UNSIGNED NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );		
		
		
		
		// Create social links table
		$sql = 'DROP TABLE IF EXISTS `11in1_social`';
		mysql_query( $sql, $conn );
		$sql = 'CREATE TABLE `11in1_social` (
		`id` INT( 30 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` VARCHAR( 100 ) NOT NULL,
		`link`  TEXT NOT NULL,
		`image`  TEXT NOT NULL,
		PRIMARY KEY ( `id` )
		)';
		mysql_query( $sql, $conn );					


		// Get blog URL
		$pageURL = 'http';
		if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
		$pageURL .= "://";
		if ($_SERVER["SERVER_PORT"] != "80") {
			$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
		} else {
			$pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
		}
		$chunk = explode("install/index.php",$pageURL);
		$scriptURL = $chunk[0];

		
		// populate the settings table
		mysql_query("INSERT INTO 11in1_settings (id, replacement_word, lang, template, site_url) VALUES ('1', '*****', 'English', 'default', '$scriptURL')");
		
		
		// insert a sample section
		mysql_query("INSERT INTO 11in1_sections (title, description, allow_comments) VALUES ('$lang_install_sample_section', '$lang_install_sample_desc', '1')");
		
		// allow this sample section to be synced
		 mysql_query("INSERT INTO 11in1_sync (secID, status) VALUES ('1', '1')");
	
		
		// insert a sample topic	
		$newDate = date("Y-m-d H:i:s");  
		mysql_query("INSERT INTO 11in1_topics (sec, title, date, content) VALUES ('1', '$lang_install_sample_topic', '$newDate','$lang_install_sample_content')");
		
		
		
	  // insert some tasks to do		    
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('caution', '<a href=\"settings.php\">$lang_install_todo_01_content</a>')");
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('add', '<a href=\"settings.php#social\">$lang_install_todo_02_content</a>')");
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('add', '<a href=\"sections.php#add\">$lang_install_todo_03_content</a>')");
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('add', '<a href=\"topics.php\">$lang_install_todo_04_content</a>')");
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('add', '<a href=\"mail.php#1\">$lang_install_todo_05_content</a>')");
	  mysql_query("INSERT INTO 11in1_todo (type, content)  VALUES ('info', '<a href=\"mail.php#3\">$lang_install_todo_06_content</a>')");   	  

  	  
	  
	  // insert sample pages
	   mysql_query("INSERT INTO 11in1_pages (title, content, type)  VALUES ('$lang_install_page_name_1', '$lang_install_page_desc_1', '1')");
	   mysql_query("INSERT INTO 11in1_pages (title, url, type)  VALUES ('$lang_install_page_name_2', '$lang_install_page_desc_2', '2')");
	  
	  
	  // insert sample social links
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('1', 'Facebook', 'http://www.facebook.com', 'images/social/facebook.png')");
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('2', 'MySpace', 'http://www.myspace.com', 'images/social/myspace.png')");
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('3', 'Twitter', 'http://www.twitter.com/emuci', 'images/social/twitter.png')");
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('4', 'LinkedIn', 'http://www.linkedin.com', 'images/social/linkedin.png')");
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('5', 'Flickr', 'http://www.flickr.com', 'images/social/flickr.png')");
   	  mysql_query("INSERT INTO 11in1_social  VALUES ('6', 'Deviantart', 'http://www.deviantart.com', 'images/social/deviantart.png')");	  
		
		
		// insert countries to the countries table
		mysql_query("INSERT INTO 11in1_countries VALUES ('1', 'United States')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('2', 'Canada')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('3', 'Mexico')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('4', 'Afghanistan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('5', 'Albania')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('6', 'Algeria')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('7', 'Andorra')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('8', 'Angola')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('9', 'Anguilla')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('10', 'Antarctica')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('11', 'Antigua and Barbuda')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('12', 'Argentina')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('13', 'Armenia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('14', 'Aruba')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('15', 'Ascension Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('16', 'Australia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('17', 'Austria')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('18', 'Azerbaijan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('19', 'Bahamas')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('20', 'Bahrain')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('21', 'Bangladesh')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('22', 'Barbados')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('23', 'Belarus')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('24', 'Belgium')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('25', 'Belize')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('26', 'Benin')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('27', 'Bermuda')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('28', 'Bhutan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('29', 'Bolivia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('30', 'Bophuthatswana')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('31', 'Bosnia-Herzegovina')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('32', 'Botswana')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('33', 'Bouvet Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('34', 'Brazil')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('35', 'British Indian Ocean')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('36', 'British Virgin Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('37', 'Brunei Darussalam')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('38', 'Bulgaria')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('39', 'Burkina Faso')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('40', 'Burundi')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('41', 'Cambodia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('42', 'Cameroon')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('44', 'Cape Verde Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('45', 'Cayman Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('46', 'Central Africa')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('47', 'Chad')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('48', 'Channel Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('49', 'Chile')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('50', 'China, Peoples Republic')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('51', 'Christmas Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('52', 'CocoS ('Keeling) Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('53', 'Colombia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('54', 'Comoros Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('55', 'Congo')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('56', 'Cook Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('57', 'Costa Rica')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('58', 'Croatia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('59', 'Cuba')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('60', 'Cyprus')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('61', 'Czech Republic')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('62', 'Denmark')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('63', 'Djibouti')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('64', 'Dominica')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('65', 'Dominican Republic')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('66', 'Easter Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('67', 'Ecuador')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('68', 'Egypt')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('69', 'El Salvador')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('70', 'England')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('71', 'Equatorial Guinea')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('72', 'Estonia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('73', 'Ethiopia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('74', 'Falkland Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('75', 'Faeroe Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('76', 'Fiji')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('77', 'Finland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('78', 'France')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('79', 'French Guyana')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('80', 'French Polynesia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('81', 'Gabon')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('82', 'Gambia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('83', 'Georgia Republic')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('84', 'Germany')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('85', 'Gibraltar')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('86', 'Greece')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('87', 'Greenland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('88', 'Grenada')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('89', 'Guadeloupe (French)')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('90', 'Guatemala')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('91', 'Guernsey Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('92', 'Guinea Bissau')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('93', 'Guinea')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('94', 'Guyana')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('95', 'Haiti')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('96', 'Heard and McDonald')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('97', 'Honduras')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('98', 'Hong Kong')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('99', 'Hungary')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('100', 'Iceland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('101', 'India')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('102', 'Iran')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('103', 'Iraq')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('104', 'Ireland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('105', 'Isle of Man')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('106', 'Israel')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('107', 'Italy')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('108', 'Ivory Coast')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('109', 'Jamaica')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('110', 'Japan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('111', 'Jersey Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('112', 'Jordan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('113', 'Kazakhstan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('114', 'Kenya')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('115', 'Kiribati')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('116', 'Kuwait')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('117', 'Laos')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('118', 'Latvia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('119', 'Lebanon')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('120', 'Lesotho')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('121', 'Liberia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('122', 'Libya')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('123', 'Liechtenstein')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('124', 'Lithuania')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('125', 'Luxembourg')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('126', 'Macao')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('127', 'Macedonia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('128', 'Madagascar')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('129', 'Malawi')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('130', 'Malaysia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('131', 'Maldives')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('132', 'Mali')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('133', 'Malta')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('134', 'Martinique (French)')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('135', 'Mauritania')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('136', 'Mauritius')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('137', 'Mayotte')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('139', 'Micronesia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('140', 'Moldavia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('141', 'Monaco')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('142', 'Mongolia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('143', 'Montenegro')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('144', 'Montserrat')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('145', 'Morocco')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('146', 'Mozambique')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('147', 'Myanmar')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('148', 'Namibia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('149', 'Nauru')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('150', 'Nepal')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('151', 'Netherlands Antilles')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('152', 'Netherlands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('153', 'New Caledonia (French)')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('154', 'New Zealand')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('155', 'Nicaragua')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('156', 'Niger')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('157', 'Niue')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('158', 'Norfolk Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('159', 'North Korea')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('160', 'Northern Ireland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('161', 'Norway')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('162', 'Oman')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('163', 'Pakistan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('164', 'Panama')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('165', 'Papua New Guinea')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('166', 'Paraguay')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('167', 'Peru')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('168', 'Philippines')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('169', 'Pitcairn Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('170', 'Poland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('171', 'Polynesia (French)')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('172', 'Portugal')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('173', 'Qatar')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('174', 'Reunion Island')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('175', 'Romania')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('176', 'Russia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('177', 'Rwanda')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('178', 'S.Georgia Sandwich')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('179', 'Sao Tome, Principe')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('180', 'San Marino')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('181', 'Saudi Arabia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('182', 'Scotland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('183', 'Senegal')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('184', 'Serbia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('185', 'Seychelles')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('186', 'Shetland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('187', 'Sierra Leone')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('188', 'Singapore')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('189', 'Slovak Republic')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('190', 'Slovenia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('191', 'Solomon Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('192', 'Somalia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('193', 'South Africa')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('194', 'South Korea')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('195', 'Spain')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('196', 'Sri Lanka')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('197', 'St. Helena')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('198', 'St. Lucia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('199', 'St. Pierre Miquelon')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('200', 'St. Martins')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('201', 'St. Kitts Nevis Anguilla')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('202', 'St. Vincent Grenadines')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('203', 'Sudan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('204', 'Suriname')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('205', 'Svalbard Jan Mayen')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('206', 'Swaziland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('207', 'Sweden')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('208', 'Switzerland')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('209', 'Syria')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('210', 'Tajikistan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('211', 'Taiwan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('212', 'Tahiti')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('213', 'Tanzania')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('214', 'Thailand')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('215', 'Togo')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('216', 'Tokelau')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('217', 'Tonga')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('218', 'Trinidad and Tobago')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('219', 'Tunisia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('220', 'Turkmenistan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('221', 'Turks and Caicos Isls')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('222', 'Tuvalu')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('223', 'Uganda')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('224', 'Ukraine')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('225', 'United Arab Emirates')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('226', 'Uruguay')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('227', 'Uzbekistan')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('228', 'Vanuatu')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('229', 'Vatican City State')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('230', 'Venezuela')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('231', 'Vietnam')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('232', 'Virgin IslandS ('Brit)')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('233', 'Wales')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('234', 'Wallis Futuna Islands')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('235', 'Western Sahara')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('236', 'Western Samoa')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('237', 'Yemen')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('238', 'Yugoslavia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('239', 'Zaire')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('240', 'Zambia')");
		mysql_query("INSERT INTO 11in1_countries VALUES ('241', 'Zimbabwe')");
		
	}
	else
	{
		$i = "errorList";
		$_SESSION['temp'] = 4;
		$nextStep = 4;	
	}
	
	@mysql_close($conn);
		
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step4_title, $lang_install_step4_content_1, $lang_install_step4_content_2, $lang_install_step4_content_3, $i);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{STEP_1}", "{STEP_2}", "{STEP_3}", "{i}");
	$template = $Engine->loadTemplate ("template/step4.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}


// STEP 5: 
else if(($step == 5)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	$_SESSION['temp'] = 6;
	$nextStep = 6;
	
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step5_title, $lang_install_step5_content_1, $lang_install_step5_content_2, $lang_install_step5_content_3, $lang_install_step5_content_4, $lang_11in1);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{e_1}", "{e_2}", "{e_3}", "{e_4}", "{NAME}");
	$template = $Engine->loadTemplate ("template/step5.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}


// STEP 6: 
else if(($step == 6)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	
	$dbInfo = $Database->getInfo();
	$d1 = $dbInfo[0];
	$d3 = $dbInfo[1];
	$d4 = $dbInfo[2];
	$d2 = $dbInfo[3];
		
	// connect to database
	$conn = @mysql_connect($d1, $d3, $d4);	
	$db = @mysql_select_db($d2, $conn);
	if(($conn)&&($db))
	{	
		$name = htmlspecialchars($_POST['name']);
		$username = htmlspecialchars($_POST['username']);
		$password = htmlspecialchars($_POST['password']);
		$email = htmlspecialchars($_POST['email']);
		
		if((empty($name))||(empty($username))||(empty($password))||(empty($email)))
		{
			$_SESSION['temp'] = 5;
			$nextStep = 5;
			
			$static_value = array ($nextStep, $lang_install_resubmit, $lang_install_corruption_found_title, $lang_install_corruption_found_message);
			$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{CONTENT}");
			$template = $Engine->loadTemplate ("template/error.html");
			$content = $Engine->replaceStatic($static_name, $static_value, $template);			
		}
		else
		{
			$password = md5($password);
			
			mysql_query("UPDATE 11in1_settings SET `site_name` = '$name' WHERE `id` = '1'");
			mysql_query("UPDATE 11in1_settings SET `admin_username` = '$username' WHERE `id` = '1'");
			mysql_query("UPDATE 11in1_settings SET `admin_password` = '$password' WHERE `id` = '1'");
			mysql_query("UPDATE 11in1_settings SET `admin_email` = '$email' WHERE `id` = '1'");
			mysql_query("UPDATE 11in1_settings SET `setup_complete` = '1' WHERE `id` = '1'");	
			
			
			$_SESSION['temp'] = 7;
			$nextStep = 7;	
							
			$i1 = "yesList";
			$i2 = "alertList";
			$i3 = "infoList";
				
			$static_value = array ($nextStep, $lang_install_submit, $lang_install_step6_title, $lang_install_step6_content_1, $lang_install_step6_content_2, $lang_install_step6_content_3, $i1, $i2, $i3);
			$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{STEP_1}", "{STEP_2}", "{STEP_3}", "{i_1}", "{i_2}", "{i_3}");
			$template = $Engine->loadTemplate ("template/step6.html");
			$content = $Engine->replaceStatic($static_name, $static_value, $template);
		}
	}
	else
	{
		$_SESSION['temp'] = 5;
		$nextStep = 5;
		
		$static_value = array ($nextStep, $lang_install_resubmit, $lang_install_error_found_title, $lang_install_error_found_message);
		$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{CONTENT}");
		$template = $Engine->loadTemplate ("template/error.html");
		$content = $Engine->replaceStatic($static_name, $static_value, $template);		
	}
}


// STEP 7: 
else if(($step == 7)&&($_SERVER["REQUEST_METHOD"] == "POST"))
{
	$static_value = array ($nextStep, $lang_install_submit, $lang_install_step7_title, $lang_install_step7_content_1);
	$static_name  = array ("{STEP}", "{SUBMIT}", "{TITLE}", "{CONTENT}");
	$template = $Engine->loadTemplate ("template/step7.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);
}



// Unknown Step
else
{
	$valid = false;
}




// Unknown Step
if($valid)
{
	$header = "$lang_install_step $step $lang_install_of $totalSteps";	
	
	$static_value = array ($lang_install_title, $lang_encoding, $header, $content, $lang_version);
	$static_name  = array ("{TITLE}", "{ENCODING}", "{HEADER}", "{CONTENT}", "{FOOTER}");
	$template = $Engine->loadTemplate ("template/layout.html");
	$template = $Engine->replaceStatic($static_name, $static_value, $template);
	echo $template;
}
else
{
	header("Location: index.php");
}

?>